import * as React from 'react';
import {observer} from "mobx-react-lite";
import {ModelSelect, useCommunication} from "@rx-suite/ui";

export const ConfirmationTemplateSelectField = observer(() => {
    const [loading, response] = useCommunication("rx_plore", "/api/ticket_templates.json")

    return(
        <ModelSelect name={"confirmation_template"} options={response || []} loading={loading} />
    )
});