import {attribute, DataStore, Model, model} from '@rx-suite/data';

@model({
    transportLayer: "/api/addons",
    permissionTarget: "Addon",
})
export class AddonModel extends Model {
    @attribute()
    code = "";

    @attribute()
    desc = "";

    @attribute()
    ar = false;

    @attribute()
    tint = false;

    @attribute()
    mirror = false;

    @attribute()
    backside = false;

    @attribute()
    uv = false;

    @attribute()
    harden = false;

    @attribute()
    dropball = false;

    @attribute()
    etch = false;

    @attribute()
    polish = false;

    constructor() {
        super();
        super.setup();
    }
}

export const AddonStore = AddonModel.store as unknown as DataStore<Model>;