class CreateShippingMethods < ActiveRecord::Migration[6.0]
  def change
    create_table :shipping_methods do |t|
      t.string :code
      t.string :description
      t.boolean :ship_to_required
      t.boolean :active, null: false, default: true

      t.timestamps
    end
  end
end
