class AddPoSerialNumber < ActiveRecord::Migration[6.0]
  def change
    RxModule::SerialNumber.create(owner: Order, start_number: 1, padding: 8, next_number: 1, column_name: "po_number")
  end

  def down
    RxModule::SerialNumber.where(owner: Order).destroy_all
  end
end
