class AddStockOrderSyncStatuses < ActiveRecord::Migration[6.0]
  class ::SyncStatus < ApplicationRecord; end
  class ::StockLensSyncStatus < SyncStatus; end
  class ::StockOrderItemSyncStatus < SyncStatus; end

  def up
    StockLensSyncStatus.first_or_create
    StockOrderItemSyncStatus.first_or_create
  end

  def down
    StockLensSyncStatus.destroy_all
    StockOrderItemSyncStatus.destroy_all
  end
end
