import * as React from 'react';
import { Container, Grid } from '@material-ui/core';
import { LookupForm } from './LookupForm';

export const OrderLookup: React.FunctionComponent = () => {

    return(
        <Container>
            <Grid container spacing={2}>
                <Grid item sm={12} md={6}>
                    <LookupForm title={"Order Lookup (Number)"} label={"Order Number"} param={"order_number"}/>
                </Grid>
                <Grid item sm={12} md={6}>
                    <LookupForm title={"Order Lookup (Customer)"} label={"Customer Number"} param={"customer_number"} />
                </Grid>
            </Grid>
        </Container>
    )
}